Skip to main content
GET
/
v2
/
loyalty_emails
/
unsubscribes
cURL
curl --request GET \
  --url https://api.loyaltylion.com/v2/loyalty_emails/unsubscribes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.loyaltylion.com/v2/loyalty_emails/unsubscribes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.loyaltylion.com/v2/loyalty_emails/unsubscribes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "email": "<string>",
    "id": "<string>"
  }
]
{
"error": {
"message": "<string>",
"details": {}
}
}
{
"error": {
"message": "<string>",
"details": {}
}
}
{
"error": {
"message": "<string>",
"details": {}
}
}
Retrieve the LoyaltyLion unsubscribe list. Emails on this list will not receive any emails from LoyaltyLion.

Authorizations

Authorization
string
header
required

An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header

Query Parameters

limit
integer
default:100

Max number of resources to return per request

Required range: 1 <= x <= 500
page
integer

Fetch another page of results

Required range: x >= 1

Response

200

email
string
required

Email address of the customer who unsubscribed

id
string | null
required

The ID of the customer in your platform or ecommerce store